Loading...
Searching...
No Matches
Catch::Version Struct Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

| Version (Version const &)=delete
Version & | operator= (Version const &)=delete
| Version (unsigned int _majorVersion, unsigned int _minorVersion, unsigned int _patchNumber, char const *const _branchName, unsigned int _buildNumber)

## Public Attributes

unsigned int const | majorVersion
unsigned int const | minorVersion
unsigned int const | patchNumber
char const *const | branchName
unsigned int const | buildNumber

## Friends

std::ostream & | operator<< (std::ostream &os, Version const &version)

## Constructor & Destructor Documentation

## Version() [1/2]

Catch::Version::Version | ( | Version const & |  | ) |

delete

Here is the call graph for this function:
Here is the caller graph for this function:

## Version() [2/2]

Catch::Version::Version | ( | unsigned int | _majorVersion,
|  | unsigned int | _minorVersion,
|  | unsigned int | _patchNumber,
|  | char const *const | _branchName,
|  | unsigned int | _buildNumber )

## Member Function Documentation

## operator=()

Version & Catch::Version::operator= | ( | Version const & |  | ) |

delete

Here is the call graph for this function:

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | Version const & | version )

friend

## Member Data Documentation

## branchName

char const* const Catch::Version::branchName

## buildNumber

unsigned int const Catch::Version::buildNumber

## majorVersion

unsigned int const Catch::Version::majorVersion

## minorVersion

unsigned int const Catch::Version::minorVersion

## patchNumber

unsigned int const Catch::Version::patchNumber

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp